Bug 641483 - Stack size mapping is decreased through mlock/munlock call [rhel-6.0.z]
Summary: Stack size mapping is decreased through mlock/munlock call [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Zhouping Liu
URL:
Whiteboard:
Depends On: 638525
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 20:52 UTC by Benjamin Kahn
Modified: 2014-01-13 00:01 UTC (History)
18 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the /proc/maps file which is read by LVM2 (Logical Volume Manager 2) contained inconsistencies.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-08 20:52:01 UTC
This bug has been copied from bug #638525 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-12 18:53:39 UTC
in kernel-2.6.32-71.4.1.el6

Comment 10 errata-xmlrpc 2010-11-10 19:11:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 11 Martin Prpič 2010-11-11 12:02:55 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the /proc/maps file which is read by LVM2 (Logical Volume Manager 2) contained inconsistencies caused by LVM2 incorrectly deciding which memory to mlock and munlock. With this update, LVM2 correctly decides between the mlock and munlock operations and no longer causes inconsistencies.

Comment 13 Alasdair Kergon 2010-11-11 16:18:14 UTC
I've deleted some incorrect sentences from the technical note.

Comment 14 Alasdair Kergon 2010-11-11 16:18:14 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, the /proc/maps file which is read by LVM2 (Logical Volume Manager 2) contained inconsistencies caused by LVM2 incorrectly deciding which memory to mlock and munlock. With this update, LVM2 correctly decides between the mlock and munlock operations and no longer causes inconsistencies.+Previously, the /proc/maps file which is read by LVM2 (Logical Volume Manager 2) contained inconsistencies.


Note You need to log in before you can comment on or make changes to this bug.